<?php

add_action( 'admin_menu', 'misbah_blog_getting_started' );
function misbah_blog_getting_started() {    	    	
	add_theme_page( esc_html__('Get Started', 'misbah-blog'), esc_html__('Get Started', 'misbah-blog'), 'edit_theme_options', 'misbah-blog-guide-page', 'misbah_blog_test_guide');   
}

function misbah_blog_admin_enqueue_scripts() {
	wp_enqueue_style( 'misbah-blog-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
}
add_action( 'admin_enqueue_scripts', 'misbah_blog_admin_enqueue_scripts' );

define('MISBAH_BLOG_DOCS_FREE',__('https://www.misbahwp.com/docs/misbah-blog-docs','misbah-blog'));
define('MISBAH_BLOG_DOCS_PRO',__('https://www.misbahwp.com/docs/misbah-blog-pro-doc','misbah-blog'));
define('MISBAH_BLOG_BUY_NOW',__('https://www.misbahwp.com/themes/blog-wordpress-theme/','misbah-blog'));
define('MISBAH_BLOG_SUPPORT_FREE',__('https://wordpress.org/support/theme/misbah-blog','misbah-blog'));
define('MISBAH_BLOG_REVIEW_FREE',__('https://wordpress.org/support/theme/misbah-blog/reviews/#new-post','misbah-blog'));
define('MISBAH_BLOG_DEMO_PRO',__('https://www.misbahwp.com/demo/misbah-blog','misbah-blog'));

function misbah_blog_test_guide() { ?>
	<?php $theme = wp_get_theme(); ?>
	
	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( MISBAH_BLOG_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'misbah-blog' ) ?></a>			
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'misbah-blog' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( MISBAH_BLOG_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'misbah-blog' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( MISBAH_BLOG_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'misbah-blog' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','misbah-blog'); ?><?php echo esc_html( $theme ); ?>  <span><?php esc_html_e('Version: ', 'misbah-blog'); ?><?php echo esc_html($theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-inside">
					<?php
						$theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postbox donate">
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','misbah-blog'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','misbah-blog'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','misbah-blog'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','misbah-blog'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>		    
	  		</div>
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'misbah-blog' ); ?></h3>
				<div class="inside">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','misbah-blog'); ?></p>
					<div id="admin_pro_links">			
						<a class="blue-button-2" href="<?php echo esc_url( MISBAH_BLOG_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'misbah-blog' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( MISBAH_BLOG_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'misbah-blog' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( MISBAH_BLOG_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'misbah-blog' ) ?></a>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php } ?>
